using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Drawing.Drawing2D;
using Codeidea.UltraGraphics;

namespace StartBrush
{
	/// <summary>
	/// Form1 ժҪ˵
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.GroupBox groupBrushStyle;
		private System.Windows.Forms.RadioButton radioHatchBrush;
		private System.Windows.Forms.RadioButton radioLinearGradientBrush;
		private System.Windows.Forms.RadioButton radioPathGradientBrush;
		private System.Windows.Forms.RadioButton radioSolidBrush;
		private System.Windows.Forms.RadioButton radioTextureBrush;
		private System.Windows.Forms.TabControl tabBrush;
		private System.Windows.Forms.TabPage pageHatchBrush;
		private System.Windows.Forms.TabPage pageLinearGradientBrush;
		private System.Windows.Forms.TabPage pagePathGradientBrush;
		private System.Windows.Forms.TabPage pageSolidBrush;
		private System.Windows.Forms.TabPage pageTextureBrush;
		private System.Windows.Forms.ColorDialog colorDialog1;
		private System.Windows.Forms.Button btnUpdateBrush;
		private System.Windows.Forms.Button btnRectangle;
		private System.Windows.Forms.Button btnSurroundColor1;
		private System.Windows.Forms.Label lblSurroundColors;
		private System.Windows.Forms.Button btnCenterColor;
		private System.Windows.Forms.Label lblCenterColor;
		private System.Windows.Forms.Button btnRotateSelecting;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.ComboBox comboHatchStyle;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Button btnForeColor;
		private System.Windows.Forms.Button btnBackColor;
		private Codeidea.UltraGraphics.MyCAD myCAD1;
		private System.Windows.Forms.Button btnSelectBitmap;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.Button btnClear;
		private System.Windows.Forms.Button btnBrushColor;
		private System.Windows.Forms.Button btnLinearColor2;
		private System.Windows.Forms.Button btnLinearColor1;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.TextBox textPoint2X;
		private System.Windows.Forms.TextBox textPoint1X;
		private System.Windows.Forms.TextBox textPoint1Y;
		private System.Windows.Forms.TextBox textPoint2Y;
		/// <summary>
		/// 
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainForm()
		{
			//
			// Windows ֧
			//
			InitializeComponent();

			//
			// TODO:  InitializeComponent úκι캯
			//
		}

		/// <summary>
		/// ʹõԴ
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows ɵĴ
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.panel1 = new System.Windows.Forms.Panel();
			this.myCAD1 = new Codeidea.UltraGraphics.MyCAD();
			this.groupBrushStyle = new System.Windows.Forms.GroupBox();
			this.radioTextureBrush = new System.Windows.Forms.RadioButton();
			this.radioSolidBrush = new System.Windows.Forms.RadioButton();
			this.radioPathGradientBrush = new System.Windows.Forms.RadioButton();
			this.radioLinearGradientBrush = new System.Windows.Forms.RadioButton();
			this.radioHatchBrush = new System.Windows.Forms.RadioButton();
			this.tabBrush = new System.Windows.Forms.TabControl();
			this.pageHatchBrush = new System.Windows.Forms.TabPage();
			this.btnBackColor = new System.Windows.Forms.Button();
			this.btnForeColor = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.comboHatchStyle = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.pageLinearGradientBrush = new System.Windows.Forms.TabPage();
			this.textPoint2Y = new System.Windows.Forms.TextBox();
			this.textPoint1Y = new System.Windows.Forms.TextBox();
			this.label7 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.btnLinearColor2 = new System.Windows.Forms.Button();
			this.btnLinearColor1 = new System.Windows.Forms.Button();
			this.textPoint2X = new System.Windows.Forms.TextBox();
			this.textPoint1X = new System.Windows.Forms.TextBox();
			this.pagePathGradientBrush = new System.Windows.Forms.TabPage();
			this.btnSurroundColor1 = new System.Windows.Forms.Button();
			this.lblSurroundColors = new System.Windows.Forms.Label();
			this.btnCenterColor = new System.Windows.Forms.Button();
			this.lblCenterColor = new System.Windows.Forms.Label();
			this.pageSolidBrush = new System.Windows.Forms.TabPage();
			this.btnBrushColor = new System.Windows.Forms.Button();
			this.pageTextureBrush = new System.Windows.Forms.TabPage();
			this.btnClear = new System.Windows.Forms.Button();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.btnSelectBitmap = new System.Windows.Forms.Button();
			this.colorDialog1 = new System.Windows.Forms.ColorDialog();
			this.btnUpdateBrush = new System.Windows.Forms.Button();
			this.btnRectangle = new System.Windows.Forms.Button();
			this.btnRotateSelecting = new System.Windows.Forms.Button();
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.panel1.SuspendLayout();
			this.groupBrushStyle.SuspendLayout();
			this.tabBrush.SuspendLayout();
			this.pageHatchBrush.SuspendLayout();
			this.pageLinearGradientBrush.SuspendLayout();
			this.pagePathGradientBrush.SuspendLayout();
			this.pageSolidBrush.SuspendLayout();
			this.pageTextureBrush.SuspendLayout();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.SystemColors.GrayText;
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel1.Controls.Add(this.myCAD1);
			this.panel1.Location = new System.Drawing.Point(8, 8);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(368, 368);
			this.panel1.TabIndex = 0;
			// 
			// myCAD1
			// 
			this.myCAD1.GridHeight = 50;
			this.myCAD1.GridWidth = 50;
			this.myCAD1.Location = new System.Drawing.Point(8, 8);
			this.myCAD1.Name = "myCAD1";
			this.myCAD1.PageHeight = 93;
			this.myCAD1.PageWidth = 93;
			this.myCAD1.Size = new System.Drawing.Size(352, 352);
			this.myCAD1.TabIndex = 0;
			this.myCAD1.Click += new System.EventHandler(this.myCAD1_Click);
			this.myCAD1.ShapeSelected += new Codeidea.UltraGraphics.ShapeSelectedEventHandler(this.myCAD1_ShapeSelected);
			// 
			// groupBrushStyle
			// 
			this.groupBrushStyle.Controls.Add(this.radioTextureBrush);
			this.groupBrushStyle.Controls.Add(this.radioSolidBrush);
			this.groupBrushStyle.Controls.Add(this.radioPathGradientBrush);
			this.groupBrushStyle.Controls.Add(this.radioLinearGradientBrush);
			this.groupBrushStyle.Controls.Add(this.radioHatchBrush);
			this.groupBrushStyle.Location = new System.Drawing.Point(384, 8);
			this.groupBrushStyle.Name = "groupBrushStyle";
			this.groupBrushStyle.Size = new System.Drawing.Size(200, 144);
			this.groupBrushStyle.TabIndex = 1;
			this.groupBrushStyle.TabStop = false;
			this.groupBrushStyle.Text = "Brush style";
			// 
			// radioTextureBrush
			// 
			this.radioTextureBrush.Location = new System.Drawing.Point(16, 112);
			this.radioTextureBrush.Name = "radioTextureBrush";
			this.radioTextureBrush.TabIndex = 4;
			this.radioTextureBrush.Text = "TextureBrush";
			this.radioTextureBrush.Click += new System.EventHandler(this.radioTextureBrush_Click);
			// 
			// radioSolidBrush
			// 
			this.radioSolidBrush.Location = new System.Drawing.Point(16, 88);
			this.radioSolidBrush.Name = "radioSolidBrush";
			this.radioSolidBrush.TabIndex = 3;
			this.radioSolidBrush.Text = "SolidBrush";
			this.radioSolidBrush.Click += new System.EventHandler(this.radioSolidBrush_Click);
			this.radioSolidBrush.CheckedChanged += new System.EventHandler(this.radioButton4_CheckedChanged);
			// 
			// radioPathGradientBrush
			// 
			this.radioPathGradientBrush.Location = new System.Drawing.Point(16, 64);
			this.radioPathGradientBrush.Name = "radioPathGradientBrush";
			this.radioPathGradientBrush.Size = new System.Drawing.Size(128, 24);
			this.radioPathGradientBrush.TabIndex = 2;
			this.radioPathGradientBrush.Text = "PathGradientBrush";
			this.radioPathGradientBrush.Click += new System.EventHandler(this.radioPathGradientBrush_Click);
			// 
			// radioLinearGradientBrush
			// 
			this.radioLinearGradientBrush.Location = new System.Drawing.Point(16, 40);
			this.radioLinearGradientBrush.Name = "radioLinearGradientBrush";
			this.radioLinearGradientBrush.Size = new System.Drawing.Size(144, 24);
			this.radioLinearGradientBrush.TabIndex = 1;
			this.radioLinearGradientBrush.Text = "LinearGradientBrush";
			this.radioLinearGradientBrush.Click += new System.EventHandler(this.radioLinearGradientBrush_Click);
			// 
			// radioHatchBrush
			// 
			this.radioHatchBrush.Location = new System.Drawing.Point(16, 16);
			this.radioHatchBrush.Name = "radioHatchBrush";
			this.radioHatchBrush.TabIndex = 0;
			this.radioHatchBrush.Text = "HatchBrush";
			this.radioHatchBrush.Click += new System.EventHandler(this.radioHatchBrush_Click);
			// 
			// tabBrush
			// 
			this.tabBrush.Controls.Add(this.pageHatchBrush);
			this.tabBrush.Controls.Add(this.pageLinearGradientBrush);
			this.tabBrush.Controls.Add(this.pagePathGradientBrush);
			this.tabBrush.Controls.Add(this.pageSolidBrush);
			this.tabBrush.Controls.Add(this.pageTextureBrush);
			this.tabBrush.Location = new System.Drawing.Point(384, 160);
			this.tabBrush.Name = "tabBrush";
			this.tabBrush.SelectedIndex = 0;
			this.tabBrush.Size = new System.Drawing.Size(200, 176);
			this.tabBrush.SizeMode = System.Windows.Forms.TabSizeMode.FillToRight;
			this.tabBrush.TabIndex = 2;
			this.tabBrush.SelectedIndexChanged += new System.EventHandler(this.tabBrush_SelectedIndexChanged);
			// 
			// pageHatchBrush
			// 
			this.pageHatchBrush.Controls.Add(this.btnBackColor);
			this.pageHatchBrush.Controls.Add(this.btnForeColor);
			this.pageHatchBrush.Controls.Add(this.label3);
			this.pageHatchBrush.Controls.Add(this.comboHatchStyle);
			this.pageHatchBrush.Controls.Add(this.label2);
			this.pageHatchBrush.Controls.Add(this.label1);
			this.pageHatchBrush.Location = new System.Drawing.Point(4, 21);
			this.pageHatchBrush.Name = "pageHatchBrush";
			this.pageHatchBrush.Size = new System.Drawing.Size(192, 151);
			this.pageHatchBrush.TabIndex = 0;
			this.pageHatchBrush.Text = "HatchBrush";
			// 
			// btnBackColor
			// 
			this.btnBackColor.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnBackColor.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnBackColor.Location = new System.Drawing.Point(56, 120);
			this.btnBackColor.Name = "btnBackColor";
			this.btnBackColor.Size = new System.Drawing.Size(96, 23);
			this.btnBackColor.TabIndex = 9;
			this.btnBackColor.Text = "...";
			this.btnBackColor.Click += new System.EventHandler(this.btnBackColor_Click);
			// 
			// btnForeColor
			// 
			this.btnForeColor.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnForeColor.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnForeColor.Location = new System.Drawing.Point(56, 80);
			this.btnForeColor.Name = "btnForeColor";
			this.btnForeColor.Size = new System.Drawing.Size(96, 23);
			this.btnForeColor.TabIndex = 8;
			this.btnForeColor.Text = "...";
			this.btnForeColor.Click += new System.EventHandler(this.btnForeColor_Click);
			// 
			// label3
			// 
			this.label3.AutoSize = true;
			this.label3.Location = new System.Drawing.Point(16, 16);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(73, 17);
			this.label3.TabIndex = 3;
			this.label3.Text = "Hatch style";
			// 
			// comboHatchStyle
			// 
			this.comboHatchStyle.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboHatchStyle.Items.AddRange(new object[] {
																 "Horizontal",
																 "Vertical",
																 "ForwardDiagonal",
																 "BackwardDiagonal",
																 "Cross ",
																 "DiagonalCross",
																 "Percent05",
																 "Percent10",
																 "Percent20",
																 "Percent25",
																 "Percent30",
																 "Percent40",
																 "Percent50",
																 "Percent60",
																 "Percent70",
																 "Percent75",
																 "Percent80",
																 "Percent90",
																 "LightDownwardDiagonal   ",
																 "LightUpwardDiagonal",
																 "DarkDownwardDiagonal",
																 "DarkUpwardDiagonal",
																 "WideDownwardDiagonal",
																 "WideUpwardDiagonal",
																 "LightVertical",
																 "LightHorizontal",
																 "NarrowVertical",
																 "NarrowHorizontal",
																 "DarkVertical",
																 "DarkHorizontal",
																 "DashedDownwardDiagonal",
																 "DashedUpwardDiagonal",
																 "DashedHorizontal",
																 "DashedVertica",
																 "SmallConfetti",
																 "LargeConfetti",
																 "ZigZag",
																 "Wave",
																 "DiagonalBrick",
																 "HorizontalBrick",
																 "Weave",
																 "Plaid",
																 "Divot",
																 "DottedGrid",
																 "DottedDiamond",
																 "Shingle",
																 "Trellis",
																 "Sphere",
																 "SmallGrid",
																 "SmallCheckerBoard",
																 "LargeCheckerBoard",
																 "OutlinedDiamond",
																 "SolidDiamond"});
			this.comboHatchStyle.Location = new System.Drawing.Point(56, 40);
			this.comboHatchStyle.Name = "comboHatchStyle";
			this.comboHatchStyle.Size = new System.Drawing.Size(96, 20);
			this.comboHatchStyle.TabIndex = 2;
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Location = new System.Drawing.Point(16, 104);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(66, 17);
			this.label2.TabIndex = 1;
			this.label2.Text = "Back color";
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(16, 64);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(66, 17);
			this.label1.TabIndex = 0;
			this.label1.Text = "Fore color";
			// 
			// pageLinearGradientBrush
			// 
			this.pageLinearGradientBrush.Controls.Add(this.textPoint2Y);
			this.pageLinearGradientBrush.Controls.Add(this.textPoint1Y);
			this.pageLinearGradientBrush.Controls.Add(this.label7);
			this.pageLinearGradientBrush.Controls.Add(this.label6);
			this.pageLinearGradientBrush.Controls.Add(this.label5);
			this.pageLinearGradientBrush.Controls.Add(this.label4);
			this.pageLinearGradientBrush.Controls.Add(this.btnLinearColor2);
			this.pageLinearGradientBrush.Controls.Add(this.btnLinearColor1);
			this.pageLinearGradientBrush.Controls.Add(this.textPoint2X);
			this.pageLinearGradientBrush.Controls.Add(this.textPoint1X);
			this.pageLinearGradientBrush.Location = new System.Drawing.Point(4, 21);
			this.pageLinearGradientBrush.Name = "pageLinearGradientBrush";
			this.pageLinearGradientBrush.Size = new System.Drawing.Size(192, 151);
			this.pageLinearGradientBrush.TabIndex = 1;
			this.pageLinearGradientBrush.Text = "LinearGradientBrush";
			// 
			// textPoint2Y
			// 
			this.textPoint2Y.Location = new System.Drawing.Point(120, 48);
			this.textPoint2Y.Name = "textPoint2Y";
			this.textPoint2Y.Size = new System.Drawing.Size(32, 21);
			this.textPoint2Y.TabIndex = 17;
			this.textPoint2Y.Text = "50";
			// 
			// textPoint1Y
			// 
			this.textPoint1Y.Location = new System.Drawing.Point(120, 16);
			this.textPoint1Y.Name = "textPoint1Y";
			this.textPoint1Y.Size = new System.Drawing.Size(32, 21);
			this.textPoint1Y.TabIndex = 16;
			this.textPoint1Y.Text = "0";
			// 
			// label7
			// 
			this.label7.AutoSize = true;
			this.label7.Location = new System.Drawing.Point(24, 120);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(42, 17);
			this.label7.TabIndex = 15;
			this.label7.Text = "Color2";
			// 
			// label6
			// 
			this.label6.AutoSize = true;
			this.label6.Location = new System.Drawing.Point(24, 88);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(42, 17);
			this.label6.TabIndex = 14;
			this.label6.Text = "Color1";
			// 
			// label5
			// 
			this.label5.AutoSize = true;
			this.label5.Location = new System.Drawing.Point(24, 56);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(42, 17);
			this.label5.TabIndex = 13;
			this.label5.Text = "Point2";
			// 
			// label4
			// 
			this.label4.AutoSize = true;
			this.label4.Location = new System.Drawing.Point(24, 24);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(42, 17);
			this.label4.TabIndex = 12;
			this.label4.Text = "Point1";
			// 
			// btnLinearColor2
			// 
			this.btnLinearColor2.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnLinearColor2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnLinearColor2.Location = new System.Drawing.Point(80, 112);
			this.btnLinearColor2.Name = "btnLinearColor2";
			this.btnLinearColor2.Size = new System.Drawing.Size(96, 23);
			this.btnLinearColor2.TabIndex = 11;
			this.btnLinearColor2.Text = "...";
			this.btnLinearColor2.Click += new System.EventHandler(this.btnLinearColor2_Click);
			// 
			// btnLinearColor1
			// 
			this.btnLinearColor1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnLinearColor1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnLinearColor1.Location = new System.Drawing.Point(80, 80);
			this.btnLinearColor1.Name = "btnLinearColor1";
			this.btnLinearColor1.Size = new System.Drawing.Size(96, 23);
			this.btnLinearColor1.TabIndex = 10;
			this.btnLinearColor1.Text = "...";
			this.btnLinearColor1.Click += new System.EventHandler(this.btnLinearColor1_Click);
			// 
			// textPoint2X
			// 
			this.textPoint2X.Location = new System.Drawing.Point(80, 48);
			this.textPoint2X.Name = "textPoint2X";
			this.textPoint2X.Size = new System.Drawing.Size(32, 21);
			this.textPoint2X.TabIndex = 1;
			this.textPoint2X.Text = "50";
			// 
			// textPoint1X
			// 
			this.textPoint1X.Location = new System.Drawing.Point(80, 16);
			this.textPoint1X.Name = "textPoint1X";
			this.textPoint1X.Size = new System.Drawing.Size(32, 21);
			this.textPoint1X.TabIndex = 0;
			this.textPoint1X.Text = "0";
			// 
			// pagePathGradientBrush
			// 
			this.pagePathGradientBrush.Controls.Add(this.btnSurroundColor1);
			this.pagePathGradientBrush.Controls.Add(this.lblSurroundColors);
			this.pagePathGradientBrush.Controls.Add(this.btnCenterColor);
			this.pagePathGradientBrush.Controls.Add(this.lblCenterColor);
			this.pagePathGradientBrush.Location = new System.Drawing.Point(4, 21);
			this.pagePathGradientBrush.Name = "pagePathGradientBrush";
			this.pagePathGradientBrush.Size = new System.Drawing.Size(192, 151);
			this.pagePathGradientBrush.TabIndex = 2;
			this.pagePathGradientBrush.Text = "PathGradientBrush";
			// 
			// btnSurroundColor1
			// 
			this.btnSurroundColor1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnSurroundColor1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnSurroundColor1.Location = new System.Drawing.Point(104, 88);
			this.btnSurroundColor1.Name = "btnSurroundColor1";
			this.btnSurroundColor1.Size = new System.Drawing.Size(72, 23);
			this.btnSurroundColor1.TabIndex = 9;
			this.btnSurroundColor1.Text = "...";
			this.btnSurroundColor1.Click += new System.EventHandler(this.btnSurroundColor1_Click);
			// 
			// lblSurroundColors
			// 
			this.lblSurroundColors.AutoSize = true;
			this.lblSurroundColors.Location = new System.Drawing.Point(16, 64);
			this.lblSurroundColors.Name = "lblSurroundColors";
			this.lblSurroundColors.Size = new System.Drawing.Size(97, 17);
			this.lblSurroundColors.TabIndex = 8;
			this.lblSurroundColors.Text = "Surround colors";
			// 
			// btnCenterColor
			// 
			this.btnCenterColor.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnCenterColor.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnCenterColor.Location = new System.Drawing.Point(104, 24);
			this.btnCenterColor.Name = "btnCenterColor";
			this.btnCenterColor.Size = new System.Drawing.Size(72, 23);
			this.btnCenterColor.TabIndex = 7;
			this.btnCenterColor.Text = "...";
			this.btnCenterColor.Click += new System.EventHandler(this.btnCenterColor_Click);
			// 
			// lblCenterColor
			// 
			this.lblCenterColor.AutoSize = true;
			this.lblCenterColor.Location = new System.Drawing.Point(16, 32);
			this.lblCenterColor.Name = "lblCenterColor";
			this.lblCenterColor.Size = new System.Drawing.Size(79, 17);
			this.lblCenterColor.TabIndex = 6;
			this.lblCenterColor.Text = "Center color";
			// 
			// pageSolidBrush
			// 
			this.pageSolidBrush.Controls.Add(this.btnBrushColor);
			this.pageSolidBrush.Location = new System.Drawing.Point(4, 21);
			this.pageSolidBrush.Name = "pageSolidBrush";
			this.pageSolidBrush.Size = new System.Drawing.Size(192, 151);
			this.pageSolidBrush.TabIndex = 3;
			this.pageSolidBrush.Text = "SolidBrush";
			// 
			// btnBrushColor
			// 
			this.btnBrushColor.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnBrushColor.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btnBrushColor.Location = new System.Drawing.Point(8, 16);
			this.btnBrushColor.Name = "btnBrushColor";
			this.btnBrushColor.Size = new System.Drawing.Size(72, 23);
			this.btnBrushColor.TabIndex = 3;
			this.btnBrushColor.Text = "...";
			this.btnBrushColor.Click += new System.EventHandler(this.btnBrushColor_Click);
			// 
			// pageTextureBrush
			// 
			this.pageTextureBrush.Controls.Add(this.btnClear);
			this.pageTextureBrush.Controls.Add(this.pictureBox1);
			this.pageTextureBrush.Controls.Add(this.btnSelectBitmap);
			this.pageTextureBrush.Location = new System.Drawing.Point(4, 21);
			this.pageTextureBrush.Name = "pageTextureBrush";
			this.pageTextureBrush.Size = new System.Drawing.Size(192, 151);
			this.pageTextureBrush.TabIndex = 4;
			this.pageTextureBrush.Text = "TextureBrush";
			// 
			// btnClear
			// 
			this.btnClear.Location = new System.Drawing.Point(104, 48);
			this.btnClear.Name = "btnClear";
			this.btnClear.Size = new System.Drawing.Size(72, 23);
			this.btnClear.TabIndex = 2;
			this.btnClear.Text = "Clear";
			this.btnClear.Click += new System.EventHandler(this.btnClear_Click);
			// 
			// pictureBox1
			// 
			this.pictureBox1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pictureBox1.Location = new System.Drawing.Point(8, 8);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(88, 80);
			this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBox1.TabIndex = 1;
			this.pictureBox1.TabStop = false;
			this.pictureBox1.Click += new System.EventHandler(this.pictureBox1_Click);
			// 
			// btnSelectBitmap
			// 
			this.btnSelectBitmap.Location = new System.Drawing.Point(104, 16);
			this.btnSelectBitmap.Name = "btnSelectBitmap";
			this.btnSelectBitmap.Size = new System.Drawing.Size(72, 23);
			this.btnSelectBitmap.TabIndex = 0;
			this.btnSelectBitmap.Text = "Bitmap";
			this.btnSelectBitmap.Click += new System.EventHandler(this.btnSelectBitmap_Click);
			// 
			// btnUpdateBrush
			// 
			this.btnUpdateBrush.Location = new System.Drawing.Point(384, 344);
			this.btnUpdateBrush.Name = "btnUpdateBrush";
			this.btnUpdateBrush.Size = new System.Drawing.Size(200, 23);
			this.btnUpdateBrush.TabIndex = 3;
			this.btnUpdateBrush.Text = "Update brush";
			this.btnUpdateBrush.Click += new System.EventHandler(this.btnUpdateBrush_Click);
			// 
			// btnRectangle
			// 
			this.btnRectangle.BackColor = System.Drawing.SystemColors.Control;
			this.btnRectangle.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnRectangle.ForeColor = System.Drawing.Color.Gray;
			this.btnRectangle.Image = ((System.Drawing.Image)(resources.GetObject("btnRectangle.Image")));
			this.btnRectangle.Location = new System.Drawing.Point(32, 384);
			this.btnRectangle.Name = "btnRectangle";
			this.btnRectangle.Size = new System.Drawing.Size(24, 24);
			this.btnRectangle.TabIndex = 9;
			this.btnRectangle.TabStop = false;
			this.btnRectangle.Click += new System.EventHandler(this.btnRectangle_Click);
			// 
			// btnRotateSelecting
			// 
			this.btnRotateSelecting.BackColor = System.Drawing.SystemColors.Control;
			this.btnRotateSelecting.Cursor = System.Windows.Forms.Cursors.Hand;
			this.btnRotateSelecting.ForeColor = System.Drawing.Color.Gray;
			this.btnRotateSelecting.Image = ((System.Drawing.Image)(resources.GetObject("btnRotateSelecting.Image")));
			this.btnRotateSelecting.Location = new System.Drawing.Point(8, 384);
			this.btnRotateSelecting.Name = "btnRotateSelecting";
			this.btnRotateSelecting.Size = new System.Drawing.Size(24, 24);
			this.btnRotateSelecting.TabIndex = 10;
			this.btnRotateSelecting.TabStop = false;
			this.btnRotateSelecting.Click += new System.EventHandler(this.btnRotateSelecting_Click);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(600, 437);
			this.Controls.Add(this.btnRotateSelecting);
			this.Controls.Add(this.btnRectangle);
			this.Controls.Add(this.btnUpdateBrush);
			this.Controls.Add(this.tabBrush);
			this.Controls.Add(this.groupBrushStyle);
			this.Controls.Add(this.panel1);
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.Text = "TCAD demo for .NET --- StartBrush";
			this.Load += new System.EventHandler(this.MainForm_Load);
			this.panel1.ResumeLayout(false);
			this.groupBrushStyle.ResumeLayout(false);
			this.tabBrush.ResumeLayout(false);
			this.pageHatchBrush.ResumeLayout(false);
			this.pageLinearGradientBrush.ResumeLayout(false);
			this.pagePathGradientBrush.ResumeLayout(false);
			this.pageSolidBrush.ResumeLayout(false);
			this.pageTextureBrush.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Ӧóڵ㡣
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		private void radioButton4_CheckedChanged(object sender, System.EventArgs e)
		{
		
		}

		private void MainForm_Load(object sender, System.EventArgs e)
		{
			radioHatchBrush.Checked = true;
			radioHatchBrush_Click(sender,e);

			myCAD1.BrushShow = true;

			//ʱظ
			
			comboHatchStyle.SelectedIndex = 0;

		}

		private void radioHatchBrush_Click(object sender, System.EventArgs e)
		{
			//tabBrush.SelectedIndex = 0;
			tabBrush.SelectedTab = pageHatchBrush;
		}

		private void radioLinearGradientBrush_Click(object sender, System.EventArgs e)
		{
			//tabBrush.SelectedIndex = 1;
			tabBrush.SelectedTab = pageLinearGradientBrush;
		}

		private void radioPathGradientBrush_Click(object sender, System.EventArgs e)
		{
			//tabBrush.SelectedIndex = 2;
			tabBrush.SelectedTab = pagePathGradientBrush;
		}

		private void radioSolidBrush_Click(object sender, System.EventArgs e)
		{
			//tabBrush.SelectedIndex = 3;
			tabBrush.SelectedTab = pageSolidBrush;
		}

		private void radioTextureBrush_Click(object sender, System.EventArgs e)
		{
			//tabBrush.SelectedIndex = 4;
			tabBrush.SelectedTab = pageTextureBrush;
		}

		private void btnCenterColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnCenterColor.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnCenterColor.BackColor = colorDialog1.Color;
			}
		}

		private void btnSurroundColor1_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnSurroundColor1.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnSurroundColor1.BackColor = colorDialog1.Color;
			}
		}

		private void btnUpdateBrush_Click(object sender, System.EventArgs e)
		{
			if (myCAD1.GetSelectedShape() != null)
			{
				if (radioHatchBrush.Checked == true)
				{
					HatchBrush hb = new HatchBrush((HatchStyle)comboHatchStyle.SelectedIndex,btnForeColor.BackColor,btnBackColor.BackColor);
					
					
					myCAD1.GetSelectedShape().Brush.Dispose();
					myCAD1.GetSelectedShape().Brush = hb;
				}
				else if (radioLinearGradientBrush.Checked == true)
				{

					LinearGradientBrush lgb = new LinearGradientBrush(new Point(Convert.ToInt32(textPoint1X.Text),Convert.ToInt32(textPoint1Y.Text)),
						new Point(Convert.ToInt32(textPoint2X.Text),Convert.ToInt32(textPoint2Y.Text)),
						btnLinearColor1.BackColor,btnLinearColor2.BackColor);



					myCAD1.GetSelectedShape().Brush.Dispose();
					myCAD1.GetSelectedShape().Brush = lgb;
				}
				else if (radioPathGradientBrush.Checked == true)
				{

					/*
					GraphicsPath gp = new GraphicsPath();
					gp.AddLines(myCAD1.GetSelectedShape().ThePoints);
					gp.CloseFigure();				
					PathGradientBrush pgb = new PathGradientBrush(gp);
					*/


					PathGradientBrush pgb = new PathGradientBrush(myCAD1.GetSelectedShape().ThePoints);
					pgb.CenterColor = btnCenterColor.BackColor;
					pgb.SurroundColors = new Color[]
					{
						btnSurroundColor1.BackColor
					};

					//gp.Dispose();

					myCAD1.GetSelectedShape().Brush.Dispose();
					myCAD1.GetSelectedShape().Brush = pgb;
				}
				else if (radioSolidBrush.Checked == true)
				{
					SolidBrush sb = new SolidBrush(btnBrushColor.BackColor);
					myCAD1.GetSelectedShape().Brush.Dispose();
					myCAD1.GetSelectedShape().Brush = sb;
				}
				else if (radioTextureBrush.Checked == true)
				{
					if (pictureBox1.Image == null)
					{
						MessageBox.Show("Choose the bitmap first.","StartBrush",MessageBoxButtons.OK,MessageBoxIcon.Warning);
						return;
					}
					TextureBrush tb = new TextureBrush(pictureBox1.Image);
					tb.WrapMode = WrapMode.Tile;
					myCAD1.GetSelectedShape().Brush.Dispose();
					myCAD1.GetSelectedShape().Brush = tb;
				}
				
			}
			else
			{
				if (radioHatchBrush.Checked == true)
				{
					HatchBrush hb = new HatchBrush((HatchStyle)comboHatchStyle.SelectedIndex,btnForeColor.BackColor,btnBackColor.BackColor);
					myCAD1.Brush.Dispose();
					myCAD1.Brush = hb;
				}
				else if (radioLinearGradientBrush.Checked == true)
				{

					
					//LinearGradientBrush lgb = new LinearGradientBrush(new Point(0,0),new Point(50,50),Color.White,Color.Black);

					/*
					MessageBox.Show(lgb.LinearColors.Length.ToString());
					MessageBox.Show(lgb.Rectangle.Left.ToString());
					MessageBox.Show(lgb.Rectangle.Top.ToString());
					MessageBox.Show(lgb.Rectangle.Right.ToString());
					*/

					LinearGradientBrush lgb = new LinearGradientBrush(new Point(Convert.ToInt32(textPoint1X.Text),Convert.ToInt32(textPoint1Y.Text)),
						new Point(Convert.ToInt32(textPoint2X.Text),Convert.ToInt32(textPoint2Y.Text)),
						btnLinearColor1.BackColor,btnLinearColor2.BackColor);



					myCAD1.Brush.Dispose();
					myCAD1.Brush = lgb;
				}
				else if (radioPathGradientBrush.Checked == true)
				{
					GraphicsPath gp = new GraphicsPath();
					gp.AddLine(50,50,100,50);
					gp.AddLine(100,50,200,200);
					gp.AddLine(200,200,50,200);
                    				
					gp.CloseFigure();				
					PathGradientBrush pgb = new PathGradientBrush(gp);

					
					pgb.CenterColor = btnCenterColor.BackColor;
					pgb.SurroundColors = new Color[]
					{
						btnSurroundColor1.BackColor
					};

					myCAD1.Brush.Dispose();
					myCAD1.Brush = pgb;
					
				}
				else if (radioSolidBrush.Checked == true)
				{
					SolidBrush sb = new SolidBrush(btnBrushColor.BackColor);
					myCAD1.Brush.Dispose();
					myCAD1.Brush = sb;
				}
				else if (radioTextureBrush.Checked == true)
				{
					if (pictureBox1.Image == null)
					{
						MessageBox.Show("Choose the bitmap first.","StartBrush",MessageBoxButtons.OK,MessageBoxIcon.Warning);
						return;
					}
					TextureBrush tb = new TextureBrush(pictureBox1.Image);
					//tb.WrapMode = WrapMode.Tile;
					myCAD1.Brush.Dispose();
					myCAD1.Brush = tb;
				}
			}
		}

		private void btnRectangle_Click(object sender, System.EventArgs e)
		{
			myCAD1.DrawType = MyDrawType.Rectangle;
		}

		private void btnRotateSelecting_Click(object sender, System.EventArgs e)
		{
			myCAD1.DrawType = MyDrawType.RotateSelecting;
		}

		private void myCAD1_ShapeSelected(object sender, Codeidea.UltraGraphics.ShapeSelectedEventArgs e)
		{
			if (e.SelectedShape != null)
			{
				if (e.SelectedShape.Brush is HatchBrush == true)
				{
					radioHatchBrush.Checked = true;
					tabBrush.SelectedIndex = 0;

					comboHatchStyle.SelectedIndex = Convert.ToInt32((e.SelectedShape.Brush as HatchBrush).HatchStyle);
					btnForeColor.BackColor = (e.SelectedShape.Brush as HatchBrush).ForegroundColor;
					btnBackColor.BackColor = (e.SelectedShape.Brush as HatchBrush).BackgroundColor;
				}
				else if (myCAD1.Brush is LinearGradientBrush == true)
				{
					radioLinearGradientBrush.Checked = true;
					tabBrush.SelectedIndex = 1;

					textPoint1Y.Text = (e.SelectedShape.Brush as LinearGradientBrush).Rectangle.Top.ToString();
					textPoint1X.Text = (e.SelectedShape.Brush as LinearGradientBrush).Rectangle.Right.ToString();
					btnLinearColor1.BackColor = (e.SelectedShape.Brush as LinearGradientBrush).LinearColors[0];
					btnLinearColor2.BackColor = (e.SelectedShape.Brush as LinearGradientBrush).LinearColors[1];

				}
				else if (e.SelectedShape.Brush is PathGradientBrush == true)
				{
					radioPathGradientBrush.Checked = true;
					tabBrush.SelectedIndex = 2;

					btnCenterColor.BackColor = (e.SelectedShape.Brush as PathGradientBrush).CenterColor;
					btnSurroundColor1.BackColor = (e.SelectedShape.Brush as PathGradientBrush).SurroundColors[0];
				}
				else if (e.SelectedShape.Brush is SolidBrush == true)
				{
					radioSolidBrush.Checked = true;
					tabBrush.SelectedIndex = 3;
					btnBrushColor.BackColor = (e.SelectedShape.Brush as SolidBrush).Color;
				}
				else if (e.SelectedShape.Brush is TextureBrush == true)
				{
					radioTextureBrush.Checked = true;
					tabBrush.SelectedIndex = 4;
					pictureBox1.Image = (e.SelectedShape.Brush as TextureBrush).Image;
				}
			}
		}

		private void myCAD1_Click(object sender, System.EventArgs e)
		{
			if (myCAD1.GetSelectedShape() == null)
			{
				if (myCAD1.Brush is HatchBrush == true)
				{
					radioHatchBrush.Checked = true;
					tabBrush.SelectedIndex = 0;

					comboHatchStyle.SelectedIndex = Convert.ToInt32((myCAD1.Brush as HatchBrush).HatchStyle);
					btnForeColor.BackColor = (myCAD1.Brush as HatchBrush).ForegroundColor;
					btnBackColor.BackColor = (myCAD1.Brush as HatchBrush).BackgroundColor;
				}
				else if (myCAD1.Brush is LinearGradientBrush == true)
				{
					radioLinearGradientBrush.Checked = true;
					tabBrush.SelectedIndex = 1;

					textPoint1Y.Text = (myCAD1.Brush as LinearGradientBrush).Rectangle.Top.ToString();
					textPoint1X.Text = (myCAD1.Brush as LinearGradientBrush).Rectangle.Right.ToString();
					btnLinearColor1.BackColor = (myCAD1.Brush as LinearGradientBrush).LinearColors[0];
					btnLinearColor2.BackColor = (myCAD1.Brush as LinearGradientBrush).LinearColors[1];

				}
				else if (myCAD1.Brush is PathGradientBrush == true)
				{
					radioPathGradientBrush.Checked = true;
					tabBrush.SelectedIndex = 2;

					btnCenterColor.BackColor = (myCAD1.Brush as PathGradientBrush).CenterColor;
					btnSurroundColor1.BackColor = (myCAD1.Brush as PathGradientBrush).SurroundColors[0];
				}
				else if (myCAD1.Brush is SolidBrush == true)
				{
					radioSolidBrush.Checked = true;
					tabBrush.SelectedIndex = 3;

					btnBrushColor.BackColor = (myCAD1.Brush as SolidBrush).Color;
				}
				else if (myCAD1.Brush is TextureBrush == true)
				{
					radioTextureBrush.Checked = true;
					tabBrush.SelectedIndex = 4;

					pictureBox1.Image = (myCAD1.Brush as TextureBrush).Image;
				}
			}
		}

		private void tabBrush_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void btnForeColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnForeColor.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnForeColor.BackColor = colorDialog1.Color;
			}
		}

		private void btnBackColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnBackColor.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnBackColor.BackColor = colorDialog1.Color;
			}
		}

		private void btnSelectBitmap_Click(object sender, System.EventArgs e)
		{
			openFileDialog1.InitialDirectory = Application.ExecutablePath;
			openFileDialog1.Filter = "BMP(*.bmp)|*.bmp|JPEG(*.jpg;*.jpe;*.jpeg)|*.jpg;*.jpe;*.jpeg|All files(*.*)|*.*";
			if (openFileDialog1.ShowDialog() == DialogResult.OK)
			{
				Bitmap myBitmap = new Bitmap(openFileDialog1.FileName);
				pictureBox1.Image = myBitmap;
			}
		}

		private void pictureBox1_Click(object sender, System.EventArgs e)
		{
			btnSelectBitmap_Click(sender,e);
		}

		private void btnClear_Click(object sender, System.EventArgs e)
		{
			if (pictureBox1.Image != null)
				pictureBox1.Image = null;
		}

		private void btnBrushColor_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnBrushColor.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnBrushColor.BackColor = colorDialog1.Color;
			}
		}

		private void btnLinearColor1_Click(object sender, System.EventArgs e)
		{
			colorDialog1.Color = btnLinearColor1.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnLinearColor1.BackColor = colorDialog1.Color;
			}
		}

		private void btnLinearColor2_Click(object sender, System.EventArgs e)
		{	
			colorDialog1.Color = btnLinearColor2.BackColor;
			if (colorDialog1.ShowDialog() == DialogResult.OK)
			{
				btnLinearColor2.BackColor = colorDialog1.Color;
			}
		
		}

	}
}
